Autor Beitrag
Kirk1701A
ontopic starontopic starontopic starontopic starontopic starontopic starofftopic starofftopic star
Beiträge: 119
Erhaltene Danke: 3

Linux, Ubuntu, Mac, IOS, Android (4.2.x - 9.x.x), Win Mob., Micro. DOS, Win 95, Win 98, Win 2000, Win ME, Win XP, Win Vista, Win 7, Win8.1, Win 10
C# (VS 2017 Community/Enterprise, VS 2019 Professional/Enterprise), VB (VBA), JavaScript
BeitragVerfasst: Fr 29.01.21 01:53 
Hallo allerseits,

es ist meine erste Frage im Jahr 2021, deshalb nochmal an alle (wenn auch etwas verspätet) ein frohes Neues und vor allem gesundes Jahr 2021.

Ich habe ein Problem mit Visual Studio. Da ich es schwer beschreiben kann, habe ich ein Screenrecording gemacht, die in diesem Link zu finden ist. Es ist ein Google Drive Element - mp4 Video, das ich freigegeben habe zum Download: drive.google.com/fil...G1Y/view?usp=sharing (Kein Konto benötigt). Ich musste es über den Link machen, da die Datei angeblich zu groß sei (sie ist nur 2,89 MB groß) aber das ist eine andere Sache.

In dem Video seht ihr alles in Einzelheiten. Hier noch meine Daten:
Win 10 Home
Visual Studio 2019 Community

Was das Framework angeht, habe ich bereits eine komplette Neuinstallation versucht, aber selbst wenn alle deinstalliert sind, kann ich keinen der Version 4.6 oder 4.6.1 installieren.

Danke schonmal im Voraus.


Moderiert von user profile iconNarses: Topic aus Off Topic verschoben am Fr 29.01.2021 um 08:35

_________________
"Ich war es und werde es immer bleiben... Ihr Freund!"
@Spock -> Star Trek II: Der Zorn des Khan
jaenicke
ontopic starontopic starontopic starontopic starontopic starontopic starontopic starofftopic star
Beiträge: 18984
Erhaltene Danke: 1685

W10 x64 (Chrome, Edge)
Delphi 10.4 Ent, Oxygene, C# (VS 2019), JS/HTML, Java (NB), PHP, Lazarus
BeitragVerfasst: Fr 29.01.21 05:42 
Und wenn du einmal in der .csproj Datei die Frameworkversion manuell setzt?
ausblenden Quelltext
1:
<TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>					

Ebenso in der App.config:
ausblenden Quelltext
1:
<supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6.1" />					


Das sollte man zwar nicht machen, aber ausprobieren kannst du es ja mal...
jfheins
ontopic starontopic starontopic starontopic starontopic starontopic starofftopic starofftopic star
Beiträge: 907
Erhaltene Danke: 153

Win 10
VS 2013, VS2015
BeitragVerfasst: Fr 29.01.21 06:35 
Hast du überhaupt das -net framework SDK installiert?
Bei Software hast du nur .net 5 und .net core 3

Das könnte weiter helfen: www.microsoft.com/de...etails.aspx?id=48136

Falls du noch gar kein .net Framework SDK installiert hast, hol dir das neueste: dotnet.microsoft.com...tnet-framework/net48
Dann musst du aber auch die Anwendung auf .net Framework 4.8 hoch ziehen.

Für diesen Beitrag haben gedankt: Kirk1701A
Kirk1701A Threadstarter
ontopic starontopic starontopic starontopic starontopic starontopic starofftopic starofftopic star
Beiträge: 119
Erhaltene Danke: 3

Linux, Ubuntu, Mac, IOS, Android (4.2.x - 9.x.x), Win Mob., Micro. DOS, Win 95, Win 98, Win 2000, Win ME, Win XP, Win Vista, Win 7, Win8.1, Win 10
C# (VS 2017 Community/Enterprise, VS 2019 Professional/Enterprise), VB (VBA), JavaScript
BeitragVerfasst: Fr 29.01.21 09:50 
Hallo jfheins und jaeincke,

danke für eure Anwtorten.

@jfheins:
Hier ein Bild aller installierten Frameworks. Es sind SKD's und normale Frameworks installiert. Am Datum siehst du, dass ich die gestern frisch gemacht habe.

@jaenicke:
Das kann ich tatsächlich versuchen. Kann ich die mit VS Code editieren? Denn VS startet das Projekt auch nicht, wenn ich über die .csproj das Ding öffnen möchte (hat mir schon manchmal das ein oder andere Problem gelöst, die .csproj manuell zu öffnen).

Kann es vielleicht auch sein, dass ich nur einen Denkfehler habe?
Einloggen, um Attachments anzusehen!
_________________
"Ich war es und werde es immer bleiben... Ihr Freund!"
@Spock -> Star Trek II: Der Zorn des Khan
Th69
ontopic starontopic starontopic starontopic starontopic starontopic starontopic starontopic star
Moderator
Beiträge: 4369
Erhaltene Danke: 941

Win10
C#, C++ (VS 2015/17/19)
BeitragVerfasst: Fr 29.01.21 10:54 
Aber anscheinend fehlt bei dir die "Microsoft.NET Framework 4.6 SDK" (bzw. "... 4.6.1 SDK" oder höher): Download .NET SDKs for Visual Studio (unter ".NET Framework" das zugehörige "Developer Pack" herunterladen und installieren).

Für diesen Beitrag haben gedankt: Kirk1701A
jaenicke
ontopic starontopic starontopic starontopic starontopic starontopic starontopic starofftopic star
Beiträge: 18984
Erhaltene Danke: 1685

W10 x64 (Chrome, Edge)
Delphi 10.4 Ent, Oxygene, C# (VS 2019), JS/HTML, Java (NB), PHP, Lazarus
BeitragVerfasst: Fr 29.01.21 11:47 
user profile iconKirk1701A hat folgendes geschrieben Zum zitierten Posting springen:
Das kann ich tatsächlich versuchen. Kann ich die mit VS Code editieren?
Du kannst einfach einen beliebigen Editor verwenden, am besten so etwas wie Notepad++.

Aber wenn das korrekte SDK nicht installiert ist, wird das auch nicht helfen. Mit den Versionen und was man da braucht kenne ich mich nicht aus, von daher übergebe ich da an die Experten. ;-)

Für diesen Beitrag haben gedankt: Kirk1701A
Kirk1701A Threadstarter
ontopic starontopic starontopic starontopic starontopic starontopic starofftopic starofftopic star
Beiträge: 119
Erhaltene Danke: 3

Linux, Ubuntu, Mac, IOS, Android (4.2.x - 9.x.x), Win Mob., Micro. DOS, Win 95, Win 98, Win 2000, Win ME, Win XP, Win Vista, Win 7, Win8.1, Win 10
C# (VS 2017 Community/Enterprise, VS 2019 Professional/Enterprise), VB (VBA), JavaScript
BeitragVerfasst: Fr 29.01.21 13:51 
user profile iconTh69 hat folgendes geschrieben Zum zitierten Posting springen:
"Microsoft.NET Framework 4.6 SDK" (bzw. "... 4.6.1 SDK" oder höher)

Hi Th69,

im Bild oben hast du gesehen, dass bereits die Version 5.0.102 vom SDK und die Version 5.0.2 vom Runtime installiert. Selbst, wenn ich die deinstalliere, neu starte und die 4.6 bzw die 4.6.1 installieren will, wird mir gesagt, dass bereits eine neuere Version installiert ist.

_________________
"Ich war es und werde es immer bleiben... Ihr Freund!"
@Spock -> Star Trek II: Der Zorn des Khan
Th69
ontopic starontopic starontopic starontopic starontopic starontopic starontopic starontopic star
Moderator
Beiträge: 4369
Erhaltene Danke: 941

Win10
C#, C++ (VS 2015/17/19)
BeitragVerfasst: Fr 29.01.21 14:09 
Das ist merkwürdig, denn ich habe diese auch alle installiert (s. Anhang). Vllt. ist aber die Reihenfolge hier entscheidend?

Edit: Habe gerade Can multiple versions of the .NET framework be installed at once on a single PC? gefunden, das meine Vermutung zu bestätigen scheint.

Welche genaue Fehlermeldung erhältst du eigentlich beim Öffnen des Projekts?
Einloggen, um Attachments anzusehen!
Kirk1701A Threadstarter
ontopic starontopic starontopic starontopic starontopic starontopic starofftopic starofftopic star
Beiträge: 119
Erhaltene Danke: 3

Linux, Ubuntu, Mac, IOS, Android (4.2.x - 9.x.x), Win Mob., Micro. DOS, Win 95, Win 98, Win 2000, Win ME, Win XP, Win Vista, Win 7, Win8.1, Win 10
C# (VS 2017 Community/Enterprise, VS 2019 Professional/Enterprise), VB (VBA), JavaScript
BeitragVerfasst: Fr 29.01.21 14:19 
user profile iconTh69 hat folgendes geschrieben Zum zitierten Posting springen:
Welche genaue Fehlermeldung erhältst du eigentlich beim Öffnen des Projekts?

Ich habe gestern Abend dazu ein Video auf Google Drive freigegeben. Du brauchst dazu kein Google Konto. Du musst es dir noch nichtmal herunterladen. Hier kannst du es sehen. Da siehst du alle Framework Versionen und die Fehlermeldungen.

Hier ist der Link: drive.google.com/fil...G1Y/view?usp=sharing

Die Frameworks sehen bei dir auch ganz anders aus. Bei mir steht nur noch "Microsoft .Net" da. Nix mehr mit Framework. Zuerst dachte ich mir, dass ich die aus Versehen deinstalliert hatte, aber als ich die Version 5.0.2 installiert habe, sah das genauso aus. Oder hab ich grad nur ein dummes Brett vorm Kopf? :autsch: :gruebel: :gruebel:

Hier ist noch ein Video, in dem ich die Fehlermeldung mit dem Framework zeige bei der Installation: drive.google.com/fil...NP3/view?usp=sharing
Einloggen, um Attachments anzusehen!
_________________
"Ich war es und werde es immer bleiben... Ihr Freund!"
@Spock -> Star Trek II: Der Zorn des Khan
Th69
ontopic starontopic starontopic starontopic starontopic starontopic starontopic starontopic star
Moderator
Beiträge: 4369
Erhaltene Danke: 941

Win10
C#, C++ (VS 2015/17/19)
BeitragVerfasst: Fr 29.01.21 17:20 
Also, ich habe jetzt bei mir mal das "Microsoft.NET Framework 4.7.2 SDK" heruntergeladen und konnte es fehlerfrei installieren (obwohl ich auch .NET 5.0 SDK installiert habe).
Bei deinem Video habe ich bei dir auch nur die Installation vom "Microsoft.NET Framework" (d.h. der Laufzeitumgebung, und nicht vom SDK!) gesehen...
Kirk1701A Threadstarter
ontopic starontopic starontopic starontopic starontopic starontopic starofftopic starofftopic star
Beiträge: 119
Erhaltene Danke: 3

Linux, Ubuntu, Mac, IOS, Android (4.2.x - 9.x.x), Win Mob., Micro. DOS, Win 95, Win 98, Win 2000, Win ME, Win XP, Win Vista, Win 7, Win8.1, Win 10
C# (VS 2017 Community/Enterprise, VS 2019 Professional/Enterprise), VB (VBA), JavaScript
BeitragVerfasst: Fr 29.01.21 18:48 
user profile iconTh69 hat folgendes geschrieben Zum zitierten Posting springen:
Bei deinem Video habe ich bei dir auch nur die Installation vom "Microsoft.NET Framework" (d.h. der Laufzeitumgebung, und nicht vom SDK!) gesehen...

Wo hast du das heruntergeladen? Ich habe deinen Link benutzt, es gibt nur für .Net Core ein SDK. Für die anderen nicht (siehe Bilder)... Entweder ich stehe auf dem Schlauch oder ich bin dumm... :lol:
Einloggen, um Attachments anzusehen!
_________________
"Ich war es und werde es immer bleiben... Ihr Freund!"
@Spock -> Star Trek II: Der Zorn des Khan
jaenicke
ontopic starontopic starontopic starontopic starontopic starontopic starontopic starofftopic star
Beiträge: 18984
Erhaltene Danke: 1685

W10 x64 (Chrome, Edge)
Delphi 10.4 Ent, Oxygene, C# (VS 2019), JS/HTML, Java (NB), PHP, Lazarus
BeitragVerfasst: Fr 29.01.21 21:31 
Das Developer Pack beinhaltet laut Beschreibung unter anderem das SDK.
Th69
ontopic starontopic starontopic starontopic starontopic starontopic starontopic starontopic star
Moderator
Beiträge: 4369
Erhaltene Danke: 941

Win10
C#, C++ (VS 2015/17/19)
BeitragVerfasst: Sa 30.01.21 08:57 
Th69 hat folgendes geschrieben:
unter ".NET Framework" das zugehörige "Developer Pack" herunterladen und installieren.

SDK = Software Developer Kit
jfheins
ontopic starontopic starontopic starontopic starontopic starontopic starofftopic starofftopic star
Beiträge: 907
Erhaltene Danke: 153

Win 10
VS 2013, VS2015
BeitragVerfasst: Sa 30.01.21 18:09 
user profile iconKirk1701A hat folgendes geschrieben Zum zitierten Posting springen:

Die Frameworks sehen bei dir auch ganz anders aus. Bei mir steht nur noch "Microsoft .Net" da. Nix mehr mit Framework. Zuerst dachte ich mir, dass ich die aus Versehen deinstalliert hatte, aber als ich die Version 5.0.2 installiert habe, sah das genauso aus.


Eventuell hilft dir dieser Auszug aus den Versionen von .net:

Erscheinungsjahr Version
2003 .net Framework 1.1
2005 .net Framework 2
2010 .net Framework 4.0
2015 .net Framework 4.6
2016 .net Framework 4.6.2
2019 .net Framework 4.8
2016 .net core 1.0
2017 .net core 2.0
2019 .net core 3.0
2020 .net 5

.net 5 baut dabei auf .net core 3.1 auf und hat nur entfernte Wurzeln im .net Framework. Du kannst daher nicht ein .net 5 SDK für eine .net Framework 4.6 Anwendung nutzen. ".net 5" und alles was "Framework" im Namen hat, sind sehr unterschiedliche Dinge.

Die .net core Reihe läuft auch unter Linux, daher fehlen da bestimmte Teile des älteren .net Framework. In .net 5 sind einige Teile modular (und optional) wieder drin, daher soll es "alles bisherige" Zusammenführen.

Um die Verwirrung klein zu halten, wurde die Version .net core 4 übersprungen. Das Naming ist dennoch nicht 100% perfekt geworden, aber ich kann verstehen, dass sie die Marke ".net" nicht weglassen wollten.